.. _str: https://docs.python.org/2/library/stdtypes.html

.. _vim.vm.customization.NameGenerator: ../../../vim/vm/customization/NameGenerator.rst


vim.vm.customization.PrefixNameGenerator
========================================
  Specifies that a unique name should be generated by concatenating the base string with a number.Virtual machine names are unique across the set of hosts and virtual machines known to the VirtualCenter instance. VirtualCenter tracks the network names of virtual machines as well as hosts. VMware Tools runs in a guest operating system and reports information to VirtualCenter, including the network name of the guest.
:extends: vim.vm.customization.NameGenerator_

Attributes:
    base (`str`_):

       Base prefix, to which a unique number is appended.
